aboutsummaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authoraurel32 <aurel32@c046a42c-6fe2-441c-8c8c-71466251a162>2008-09-17 22:04:37 +0000
committeraurel32 <aurel32@c046a42c-6fe2-441c-8c8c-71466251a162>2008-09-17 22:04:37 +0000
commita986fcc469cd63d56d7cc52df132c010c1f23a21 (patch)
treea89f5210e72410515f96733293c84b5108adfcf3 /tests
parentd74e3b124889c808c3b21516f9a646588b884f28 (diff)
alpha: improve testsuite
misc tiny patches: * add a 'check' target to the Makefile * split code in crt.s to create the _exit syscall; also use the value of main() as exit status Signed-off-by: Tristan Gingold <gingold@adacore.com> Signed-off-by: Aurelien Jarno <aurelien@aurel32.net> git-svn-id: svn://svn.savannah.nongnu.org/qemu/trunk@5244 c046a42c-6fe2-441c-8c8c-71466251a162
Diffstat (limited to 'tests')
-rw-r--r--tests/alpha/Makefile7
-rw-r--r--tests/alpha/crt.s5
2 files changed, 9 insertions, 3 deletions
diff --git a/tests/alpha/Makefile b/tests/alpha/Makefile
index 9c321af8c8..e4e23d2d08 100644
--- a/tests/alpha/Makefile
+++ b/tests/alpha/Makefile
@@ -5,7 +5,7 @@ AS=$(CROSS)as
SIM=../../alpha-linux-user/qemu-alpha
CFLAGS=-O
-LINK=$(CC) -v -o $@ crt.o $< -nostdlib
+LINK=$(CC) -o $@ crt.o $< -nostdlib
TESTS=test-cond test-cmov
@@ -23,7 +23,10 @@ test-cmov.o: test-cond.c
test-cmov: test-cmov.o crt.o
$(LINK)
+check: $(TESTS)
+ for f in $(TESTS); do $(SIM) $$f || exit 1; done
+
clean:
$(RM) *.o *~ hello-alpha $(TESTS)
-.PHONY: clean all
+.PHONY: clean all check
diff --git a/tests/alpha/crt.s b/tests/alpha/crt.s
index 6f10b78b3b..31af8825bc 100644
--- a/tests/alpha/crt.s
+++ b/tests/alpha/crt.s
@@ -9,12 +9,15 @@ _start:
.prologue 0
ldq $27,main($29) !literal!1
jsr $26,($27)
+ or $0,$0,$16
+ .end _start
+ .globl _exit
+_exit:
lda $0,1
callsys
call_pal 0
- .end _start
.globl write
write: